<?php

namespace NF\Discord\XFRM\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

/**
 * Extends \XFRM\Entity\Category
 *
 * @property string nf_discord_channel_id
 */
class Category extends XFCP_Category
{
	/**
	 * @param Structure $structure
	 *
	 * @return Structure
	 */
	public static function getStructure(Structure $structure)
	{
		$structure = parent::getStructure($structure);

		$structure->columns['nf_discord_channel_id'] = ['type' => self::STR, 'max' => 64, 'default' => 0];

		return $structure;
	}
}